Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.event.spi
Interface ResolveNaturalIdEventListener

All Superinterfaces:
  Serializable

All Known Implementing Classes:
  DefaultResolveNaturalIdEventListener

    public interface ResolveNaturalIdEventListener

extends Serializable

Defines the contract for handling of resolve natural id events generated from a session.

Method Summary
`void` | `onResolveNaturalId(ResolveNaturalIdEvent event)` Handle the given resolve natural id event.

Method Detail

### onResolveNaturalId

    void onResolveNaturalId(ResolveNaturalIdEvent event)
                            throws HibernateException

  Handle the given resolve natural id event.

  Parameters:
    `event` - The resolve natural id event to be handled.
  Throws:
    `HibernateException` - Indicates a problem resolving natural id to primary key

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.